Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.blog.database
Class DatabasePingback

    java.lang.Object
      org.blojsom.blog.database.DatabaseTrackback
          org.blojsom.blog.database.DatabasePingback

All Implemented Interfaces:
  Pingback, Response, java.io.Serializable, Trackback

public class DatabasePingback
extends DatabaseTrackback
implements Pingback

DatabasePingback

Since:
  blojsom 3.0
Version:
  $Id: DatabasePingback.java,v 1.4 2006/04/05 00:46:32 czarneckid Exp $
Author:
  David Czarnecki
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `_sourceURI`
`protected java.lang.String` | `_targetURI`

Fields inherited from class org.blojsom.blog.database.DatabaseTrackback
`_blogEntryId, _blogId, _blogName, _entry, _excerpt, _id, _ip, _metaData, _status, _title, _trackbackDate, _trackbackDateLong, _url`

Fields inherited from interface org.blojsom.blog.Response
`COMMENT_TYPE, PINGBACK_TYPE, TRACKBACK_TYPE`

Constructor Summary
`DatabasePingback()` Create a new instance of the database pingback

Method Summary
`java.lang.String` | `getSourceURI()` Get the source URI
`java.lang.String` | `getTargetURI()` Get the target URI
`java.lang.String` | `getType()` Get the response type
`void` | `setSourceURI(java.lang.String sourceURI)` Set the source URI
`void` | `setTargetURI(java.lang.String targetURI)` Set the target URI

Methods inherited from class org.blojsom.blog.database.DatabaseTrackback
`getBlogEntryId, getBlogId, getBlogName, getDate, getDateAsFormat, getDateAsFormat, getEntry, getExcerpt, getId, getIp, getMetaData, getStatus, getTitle, getTrackbackDate, getTrackbackDateLong, getUrl, setBlogEntryId, setBlogId, setBlogName, setEntry, setExcerpt, setId, setIp, setMetaData, setStatus, setTitle, setTrackbackDate, setTrackbackDateLong, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.blojsom.blog.Trackback
`getBlogEntryId, getBlogId, getBlogName, getDateAsFormat, getDateAsFormat, getEntry, getExcerpt, getId, getMetaData, getTitle, getTrackbackDate, getUrl, setBlogEntryId, setBlogId, setBlogName, setEntry, setExcerpt, setId, setMetaData, setTitle, setTrackbackDate, setUrl`

Methods inherited from interface org.blojsom.blog.Response
`getDate, getIp, getStatus, setIp, setStatus`

Field Detail

### _sourceURI

    protected java.lang.String _sourceURI

### _targetURI

    protected java.lang.String _targetURI

Constructor Detail

### DatabasePingback

    public DatabasePingback()

  Create a new instance of the database pingback

Method Detail

### getSourceURI

    public java.lang.String getSourceURI()

  Get the source URI

  Specified by:
    `getSourceURI` in interface `Pingback`
  Returns:
    Source URI

### setSourceURI

    public void setSourceURI(java.lang.String sourceURI)

  Set the source URI

  Specified by:
    `setSourceURI` in interface `Pingback`
  Parameters:
    `sourceURI` - Source URI

### getTargetURI

    public java.lang.String getTargetURI()

  Get the target URI

  Specified by:
    `getTargetURI` in interface `Pingback`
  Returns:
    Target URI

### setTargetURI

    public void setTargetURI(java.lang.String targetURI)

  Set the target URI

  Specified by:
    `setTargetURI` in interface `Pingback`
  Parameters:
    `targetURI` - Target URI

### getType

    public java.lang.String getType()

  Get the response type

  Specified by:
    `getType` in interface `Response`
  Overrides:
    `getType` in class `DatabaseTrackback`
  Returns:
    Response type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD